import os
import sys
import json

sys.path.append(os.getcwd())
from common.mysql_db import MysqlHelper


class sqlCollect():
    """
    视频信息写入库中
    """
    @classmethod
    def insert_video_cover_method(cls, video_id: str, cover_id: str, old_cover_url: str, cover_url_list: str, new_cover_url: str):
        cover_url_list_json = json.dumps( cover_url_list, ensure_ascii=False )

        insert_sql = f"""INSERT INTO video_cover_method (video_id, cover_id, old_cover_url, cover_url_list, new_cover_url) values ('{video_id}' ,'{cover_id}','{old_cover_url}', '{cover_url_list_json}', '{new_cover_url}')"""
        MysqlHelper.update_values(
            sql=insert_sql
        )

    """查询该账号是否存在"""
    @classmethod
    def select_video_cover_method(cls, video_id: str):
        sql = """SELECT video_id FROM video_cover_method WHERE video_id = %s """
        data = MysqlHelper.get_values(sql, (video_id))
        if data:
            return True
        return False