import time
from common.redis import get_pq_id
from video_cover_method.cover_method import CoverMethod
def video_cover_task_start():
    while True:
        try:
            video_id = get_pq_id()
            if video_id:
                CoverMethod.cover_method(video_id)
            else:
                print("没有获取待更改封面的视频ID，等待10秒")
                time.sleep(10)
        except Exception as e:
            print("处理任务时出现异常:", e)
            time.sleep(10)
            continue
if __name__ == '__main__':
    video_cover_task_start()